/***************** Main Styles ****************/

* {
	margin: 0;
	padding: 0;
	border: 0;
}

article, aside, details, figcaption, figure, footer, header, main, nav, section, summary {
    display:block;
}

body {
  font-family: 'IM Fell Double Pica', serif;
	color: white;
	overflow-x: hidden;
}

.site {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.site-content {
  flex: 1;
}

figure img {
	width: 100%;
}

nav ul li {
	list-style-type: none;
}

nav ul li a {
	text-decoration: none;
}

/***********************************Slideout***********************************/
#menu {
	position: fixed;
	background-image: url("images/desktop_images/background.jpg");
	width: 100%;
	height: 100vh;
	max-width: 256px;
}

#menu h3 {
	padding: 15px 5px 0 15px;
	font-weight: normal;
	font-size: 1.2rem;
	width: 80%;
}

.head-text {
	text-shadow: 1px 1px 5px #aef4af;
	font-weight: bold;
	color: #aef4af;
}

#menu ul {
	display: flex;
	height: 100vh;
	align-items: flex-end;
}

#menu ul li {
}

.tombstone-left, .tombstone-right {
	position: absolute;
	bottom: 0;
	z-index: 9;
}

.tombstone-left {
	left: -8px;
	width: 50%;
}

.tombstone-right {
	right: -11px;
	width: 60%;
}

.home-beetlejuice {
	position: absolute;
	bottom: 0;
	z-index: 1;
}

.glow:hover {
	animation: glow;
	animation-duration: 2s;
	animation-iteration-count: infinite;
}

#panel {
		border-left: 8px groove #5B3E87;
}

.toggle-button {
	max-width: 50px;
	width: 15%;
	padding: 3%;
	cursor: pointer;
}

.toggle-button:hover {
	animation: skull;
	animation-duration: 1s;
	animation-iteration-count: infinite;
}

slideout-menu {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 256px;
  min-height: 100vh;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  z-index: 0;
  display: none;
}

.slideout-menu-left {
  left: 0;
}

.slideout-menu-right {
  right: 0;
}

.slideout-panel {
  position: relative;
  z-index: 1;
  will-change: transform;
  background-color: #FFF; /* A background-color is required */
}

.slideout-open,
.slideout-open body,
.slideout-open .slideout-panel {
  overflow: hidden;
}

.slideout-open .slideout-menu {
  display: block;
}

/***************** Homepage Styles ****************/

#homepage_desktop {
  display: none;
}

#homepage {
  background-image: url("images/mobile_images/bg_homepage_mobile.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

.mobile_header {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.homepage_logo {
  width: 100%;
  max-width: 420px;
}

.home_beetlejuice {
	width: 100%;
	position: absolute;
	bottom: 0;
	text-align: center;
	z-index: 0;
}

.home_beetlejuice img {
	max-width: 525px;
}

.tombstone_left, .tombstone_right {
	position: absolute;
	width: 45%;
	max-width: 252px;
	bottom: 25px;
	z-index: 1;
}

.tombstone_left {
	left: 3%;
}

.tombstone_right {
	right: 3%;
}

.mobile_header h2 {
  color: white;
  text-align: center;
  font-size: 1.5em;
}

.home-footer {
  color: white;
  background-color: black;
  padding: 20px 5%;
  text-align: center;
  font-size: 1em;
	position: relative;
	z-index: 3;
}
/***************************** Homepage Styles ********************************/

/***************************** Resume Styles ********************************/
#resume {
  background-image: url("images/mobile_images/background_texture_mobile.jpg");
  background-size: cover;
}

#mobile_resume {
  background-image: url("images/mobile_images/resume_paper_mobile.png");
  background-size: contain;
  background-repeat: no-repeat;
  height: 177.777778vw;
  width: 100%;
	max-width: 500px;
	max-height: 888.888889px;
	position: relative;
	z-index: 2;
	margin: 0 auto 0;
}

#resume_copy {
  transform: rotate(-2deg);
  padding: 52% 0 0 10%;
	width: 83%;
}

mark {
  background-color: black;
  color: white;
  font-size: 5vw;
}

#resume_copy ul {
  padding: 3% 0 0 0;
  font-size: 4.5vw;
	color: black;
	margin-bottom: 3%;
}

#resume_copy ul li {
	padding: 2% 0 0 0;
	list-style-type: none;
	display: flex;
}

.bullet-skull {
	width: 4vw;
	height: 4.3vw;
	max-width: 30px;
	max-height: 33px;
	margin-right: 5%;
}

#resume_copy p {
	width: 95%;
  color: black;
  font-size: 4.2vw;
}

#resume_copy ul li span {
	font-style: italic;
}

.res_roach1 {
	position: absolute;
	right: -7%;
	top: -8vw;
	z-index: 1;
	width: 30%;
	max-width: 300px;
}

.res_roach2 {
	width: 60%;
	max-width: 300px;
	transform: rotateZ(65deg);
	right: 5vw;
	bottom: 0;
	position: absolute;
}

.res_roach3 {
	width: 35%;
	max-width: 300px;
	transform: rotate(-91deg);
	top: 15%;
	left: -13%;
	position: absolute;
}

.res_roach4 {
	position: absolute;
	right: 6vw;
	top: 78vw;
	z-index: 1;
	width: 30%;
	max-width: 300px;
}

/****************************** Contact Page Styles ***************************/
#wallpaper {
	background: url("images/desktop_images/background_texture_desktop.jpg") no-repeat center;
	background-size: cover;
	min-height: 100vh;
}

/* New sticky footer */
.contact-content {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}

.flex-wrapper {
	flex-grow: 1;
}

.roach {
	position: absolute;
	width: 30%;
	max-width: 300px;
}

.roach1 {
	transform: rotateZ(-98deg);
	top: -10vw;
	left: 50%;
}

.roach2 {
	transform: rotateZ(87deg);
	top: 100px;
	left: 0;
}

.roach3 {
	bottom: 25%;
	right: -10%;
}

.contact-logo {
	margin: auto;
	width: 98%;
	max-width: 600px;
	position: relative;
}

.contact-logo-image {
	position: absolute;
}

#contact-form {
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.center {
	text-align: center;
	text-shadow: 1px 1px 2px black;
	font-size: 1.5rem;
}

.center a {
	position: relative;
	z-index: 5;
}

.ghost-mirror {
	position: relative;
	text-align: center;
	margin: auto;
	width: 98%;
	max-width: 600px;
}

#counter {
	position: absolute;
	top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
	font-size: 10vw;
}

#summoning-spot {
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 0.7rem;
}

#summoning-spot {
	padding: 25px 3%;
}

.click-button {
	font-family: 'IM Fell Double Pica', serif;
	display: inline-block;
	background-color: white;
	color: black;
	font-size: 2rem;
	padding: 5px 20px;
	border-radius: 10px;
	box-shadow: -3px 3px 10px black;
	margin-top: 15px;
	cursor: pointer;
}

.click-button:hover {
	transform: scale(1.1);
}

.sandworm {
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
	padding: 0;
	background-color: transparent;
	overflow: hidden;
}

.sandworm-left, .sandworm-right {
	position: relative;
	bottom: -5px;
}

.sandworm-left img {
	animation: sandwormleft;
	animation-duration: 3s;
	animation-iteration-count: infinite;
}

.sandworm-right img {
	animation: sandwormright;
	animation-duration: 3s;
	animation-iteration-count: infinite;
}

/********************** START 500PX MIN-WIDTH QUERY ***************************/
@media (min-width: 500px) {
	mark {
		font-size: 1.5rem;
	}

	#resume_copy ul {
		font-size: 1.5rem;
	}

	#resume_copy p {
		font-size: 1.3rem;
	}

	.res_roach4 {
    right: 6%;
    top: 42%;
	}
}
/************************ END 500PX MIN-WIDTH QUERY ***************************/

/********************** START 600PX MIN-WIDTH QUERY ***************************/
@media (min-width: 600px) {
/* Navigation */
	.toggle-button {
		padding: 17px;
	}
  #homepage {
    background-image: url("images/desktop_images/background.jpg");
    background-size: cover;
  }

  #homepage_mobile {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
  }

	#tombstone_left {
		width: 91%;
	}

/* Contact Page */
	.normal-header {
		margin-bottom: -50px;
	}
	#summoningSpot {
    margin-top: -20px;
	}
}
/********************** END 600PX MIN-WIDTH QUERY ***************************/

/********************** START 700PX MIN-WIDTH QUERY ***************************/
@media (min-width: 700px) {
	/* Resume Page */
	#resume {
	  background-image: url("images/desktop_images/background_texture_desktop.jpg");
		background-position: center;
		background-repeat: no-repeat;
	  background-size: cover;
	}

	#mobile_resume {
	  background-image: url("images/desktop_images/resume_sheet_desktop.png");
	  background-size: contain;
		background-position: center;
		background-repeat: no-repeat;
		height: 177.777778vw;
	  max-width: 768px;
		margin-top: -90px;
	}

	mark {
    font-size: 1.75rem;
	}

	#resume_copy {
		transform: rotate(-5deg);
		padding-top: 230px;
		padding-left: 20%;
	}


	#resume_copy ul {
    padding: 5px 0 0 0;
    margin-bottom: 5px;
		font-size: 1.5rem;
	}

	#resume_copy p {
    width: 65%;
    font-size: 1.3rem;
	}

	.res_roach2 {
	    top: 40%;
	    left: -32vw;
	}

	.res_roach3 {
		top: 20%;
	}
}

/********************** END 700PX MIN-WIDTH QUERY ***************************/

/********************** START 800PX MIN-WIDTH QUERY ***************************/
@media (min-width: 800px) {
	/* Homepage Styles */
	#homepage_mobile_full {
		display: none;
	}

  #homepage_desktop {
    display: block;
  }

	.call_now {
		width: 100%;
		max-width: 250px;
		position: absolute;
		right: 6%;
		top: 40vh;
		animation: blink 1s;
		animation-iteration-count: infinite;
	}

	.desktop_homepage_header	{
    color: white;
    text-align: center;
  }

	.desktop_homepage_header h2 {
		 font-size: 2rem;
	}

  .desktop_homepage_header h3 {
    font-size: 1.5rem;
  }

  .homepage_logo {
    text-align: center;
		margin: auto;
  }

  .homepage_nav {
    display: flex;
  }


  #tombstone_left_desktop {
    width: 25%;
		max-width: 300px;
		position: absolute;
		left: -1%;
		bottom: 0;
		z-index: 2;
  }

	#tombstone_right_desktop {
		width: 25%;
		max-width: 300px;
		position: absolute;
		right: -1%;
		bottom: 0;
		z-index: 2;
	}

  #beetlejuice_grin_desktop {
    width: 45%;
    max-width: 550px;
		position: absolute;
		text-align: center;
		left: 0;
		right: 0;
		bottom: 0;
		margin: 0 auto;
		z-index: 2;
  }

/* Contact Page */
	#counter {
		font-size: 5rem
	}
	.contact-logo {
		margin-top: -65px;
	}
}
/********************** END 800PX MIN-WIDTH QUERY ***************************/

/********************** START 1000PX MIN-WIDTH QUERY **************************/
@media (min-width: 1000px) {
/* Homepage */
	.call_now {
		top: 160px;
		right: 6%;
	}

	#tombstone_right_desktop {
		right: -1%;
	}

	#tombstone_left_desktop {
		left: -2%;
	}

	/* Resume Page */
	.res_roach1 {
	  right: -5vw;
	  top: 12%;
	  transform: rotate(-82deg);
	}

	/* Contact Page */
		.roach1 {
			top: -5vw;
		}

		.roach3 {
			right: -5%;
		}

		.sandworm {
			margin-top: -260px;
		}
	}
/********************** END 1000PX MIN-WIDTH QUERY ****************************/

/********************** START 1300PX MIN-WIDTH QUERY ****************************/
@media (min-width: 1300px) {
	/* Homepage */
	#tombstone_right_desktop{
		right: 3%;
	}

	#tombstone_left_desktop {
		left: 3%;
	}
}
/********************** END 1300PX MIN-WIDTH QUERY ****************************/
/**********************************Animations**********************************/
/* Sandworm */
@keyframes sandwormleft {
	0% {
		transform: skewY(0deg);
	}
	15% {
		transform: skewY(3deg);
	}
	30% {
		transform: skewY(5deg);
	}
	45% {
		transform: skewY(8deg);
	}
	50% {
		transform: skewY(10deg);
	}
	55% {
		transform: skewY(8deg);
	}
	70% {
		transform: skewY(5deg);
	}
	85% {
		transform: skewY(3deg);
	}
	100% {
		transform: skewY(0deg);
	}
}

@keyframes sandwormright {
	0% {
		transform: skewX(0deg);
	}
	15% {
		transform: skewX(3deg);
	}
	30% {
		transform: skewX(5deg);
	}
	45% {
		transform: skewX(8deg);
	}
	50% {
		transform: skewX(10deg);
	}
	55% {
		transform: skewX(8deg);
	}
	70% {
		transform: skewX(5deg);
	}
	85% {
		transform: skewX(3deg);
	}
	100% {
		transform: skewX(0deg);
	}
}

/* Nav Skull */
@keyframes skull{
	0% {
		transform: rotate(0)
	}
	10% {
		transform: rotate(4deg)
	}
	20% {
		transform: rotate(8deg)
	}

	30% {
		transform: rotate(10deg)
	}
	40% {
		transform: rotate(6deg)
	}
	50% {
		transform: rotate(2deg)
	}

	60% {
		transform: rotate(-2deg)
	}
	70% {
		transform: rotate(-6deg)
	}
	80% {
		transform: rotate(-10deg)
	}
	90% {
		transform: rotate(-6deg)
	}
	100% {
		transform: rotate(-2deg)
	}
}

/* Nav Tombstone glow */
@keyframes glow {
  0% {
    filter: drop-shadow(0px -1px 1px #aef4af);
	}
	10% {
		filter: drop-shadow(0px -3px 3px #aef4af);
	}
  20% {
    filter: drop-shadow(0px -5px 5px #aef4af);
  }
	30% {
		filter: drop-shadow(0px -5px 7px #aef4af);
	}
	40% {
		filter: drop-shadow(0px -5px 9px #aef4af);
	}
	50% {
		filter: drop-shadow(0px -5px 11px #aef4af);
	}
	60% {
		filter: drop-shadow(0px -5px 9px #aef4af);
	}
	70% {
		filter: drop-shadow(0px -5px 7px #aef4af);
	}
	80% {
		filter: drop-shadow(0px -5px 5px #aef4af);
	}
	90% {
		filter: drop-shadow(0px -3px 3px #aef4af);
	}
	100% {
		filter: drop-shadow(1px -1px 1px #aef4af);
	}
}

/* Call Now Burst */

@keyframes blink {
	0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
 	}
  100% {
    opacity: 1;
  }
}
